POST
/user/totp/generateGenerate a new TOTP secret
Generates a new TOTP secret, including the QR code as png, using the specified configuration for the logged in user
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
config_namestringoptional
name of the configuration to use to generate the secret
200successful operation
config_namestringoptional
issuerstringoptional
qr_codestringoptional
QR code png encoded as BASE64
secretstringoptional
400Bad Request
errorstringoptional
error description if any
messagestringoptional
message, can be empty
401Unauthorized
errorstringoptional
error description if any
messagestringoptional
message, can be empty
403Forbidden
errorstringoptional
error description if any
messagestringoptional
message, can be empty
500Internal Server Error
errorstringoptional
error description if any
messagestringoptional
message, can be empty
defaultUnexpected Error
errorstringoptional
error description if any
messagestringoptional
message, can be empty
Error handling
A 400 is returned: Bad Request. A 401 is returned: Unauthorized. A 403 is returned: Forbidden. A 500 is returned: Internal Server Error. Any other status is an error: Unexpected Error.